FROM node:16-alpine as base
# RUN apk add --no-cache make gcc g++ python3
WORKDIR /app
COPY package-lock.json package.json ./
RUN npm ci --no-audit --legacy-peer-deps
COPY . .
FROM node:16-alpine as release
WORKDIR /app
COPY --from=base /app ./
RUN npm run build &&\
  npm prune --omit dev
EXPOSE 80
CMD npm run serve -- -H 0.0.0.0 -p 80